<?php
/**
 * Createing a bog pannel for customizer
 *
 */
/****************************/
// START BLOG SECTION FOR HOME PAGE
/*============BLOG PANEL============*/
$section = 'lz_fitness_gallary_section';
$wp_customize->add_section(
	$section,
	array(
		'title' => __( 'Gallery Section', 'luzuk-premium' ),
		'panel' => 'lz_fitness_premium_home_panel',
     	//'priority' => '50',
	)
);
// ENABLE or DESABLE THE SECTION FROM DISPLAY
lzAddCustomRadio($wp_customize, $id='lz_fitness_premium_show_gallary', $section, $label=__( 'Disable Section', 'luzuk-premium' ));
// Adding the Label
lzCustomLable($wp_customize, 'lz_fitness_gallery_lblImgTxt', $section, 'Section Title');
//add text BOX FOR TITLE
lzAddElement($wp_customize, 'lz_fitness_gallary_title', $section, 'text', $label="Title", 'lz_fitness_sanitize_text', 'Gallery');
//ADD TEXTAREA BOX FOR SUB TITLE
lzAddElement($wp_customize, 'lz_fitness_gallary_sub_title', $section, 'textarea', $label="Description", 'lz_fitness_sanitize_text', 'Gallery description here..');

backgroundManager($wp_customize, 'gallery', $section, $color='#fff');

// SHORTCODE 
lzAddCustomRadio($wp_customize, $id='lz_fitness_premium_gallary_shortcode', $section, $label=__( 'Shortcode', 'luzuk-premium' ));
$wp_customize->add_setting('lz_fitness_gallary_shortcode', array('sanitize_callback'=>'lz_fitness_sanitize_text'));
$wp_customize->add_control(
    new lz_fitness_Info_Text( 
        $wp_customize,
        'lz_fitness_gallary_shortcode',
        array(
            'settings'      => 'lz_fitness_gallary_shortcode',
            'section'       => $section,
            'label'         => __( 'Note:', 'luzuk-premium' ), 
            'description'   => __( 'Just place the shortcode <b>"[GALLERY]"</b> in your page to show the gallery ', 'luzuk-premium' ),
        )
    )
);


// Heading color
addColorPalatOption($wp_customize, 'lz_fitness_gym_HeadingColor', 'lz_fitness_time_n_address', 'Heading color', '#fe5722');
// Text color
addColorPalatOption($wp_customize, 'lz_fitness_gym_TextColor', 'lz_fitness_time_n_address', 'Text color', '#333333');


